from django.db import models
from django.contrib.auth.models import AbstractUser



# Create your models here.
class Unit(models.Model):
    name = models.CharField(max_length=100)

    # TODO enum ?

class SupAnnUser(AbstractUser):
    # eduPerson attributes:
    ep_principal_name = models.CharField(max_length=100,default='user_eppn')
    ep_primary_affiliation = models.CharField(max_length=100, default="")
    ep_affiliation = models.CharField(max_length=100, default="")
    # supannPerson attributes:
    s_entite_affectation_principale = models.CharField(max_length=100, default="")
    s_entite_affectation = models.CharField(max_length=100, default="")
    s_emp_corps = models.CharField(max_length=100, default="")
    s_etablissement = models.CharField(max_length=100, default="")
    s_liste_rouge = models.BooleanField(default=False)

    REQUIRED_FIELDS = []
    #USERNAME_FIELD = 'ep_principal_name'
